# SCIM in Microsoft Entra

Below are detailed instructions for setting up an integration between Microsoft Entra and Skovik.&#x20;

While we'll try to keep these instructions accurate, there are frequent updates to Entra UI, so if you cannot find the exact button or view as named in these instructions, see if may just have been renamed or moved slightly.

{% stepper %}
{% step %}

### Create a new enterprise application

Go to `Applications → Enterprise applications` and click `New application`.\
Select `Create your own application` and make sure to select\
`Integrate any other application you don't find in the gallery (Non-gallery)`. Click `Create`.
{% endstep %}

{% step %}

### Configure provisioning

On the application's overview page, go to `Provisioning` under the `Manage` menu. Then go to `Connectivity` in the menu under `Menu`, and fill in the following:\
\
Select authentication metho&#x64;**:** `Bearer authentication`\
Tenant URL: (Use the SCIM URL generated in Skovik)\
Secret Toke&#x6E;**:** (Use the SCIM token generated in Skovik)
{% endstep %}

{% step %}

### Setup attribute mapping

* Go to `Attribute mapping` under the `Manage` menu.
* Disable group provisioning under `Provision Microsoft Entra ID Groups` by setting `Enabled` to `No` and save.
* Then got to `Provision Microsoft Entra ID Users` to set up the user mappings.
* At the bottom, enable `Show advanced options` and click `Edit attribute list for ...`.
* Add up to 9 Skovik custom fields as needed. For each, set `Type` to `String`, leave other checkboxes unchecked, and save the added attributes.
* Then configure the user mappings according to your setup, see a common example below, make sure `Enabled` is set to `Yes`, and save.
  {% endstep %}

{% step %}

### Configure optional additional mapping

Use the custom field names from our extension:

* `urn:ietf:params:scim:schemas:extension:skovik:2.0:User:custom_field1`
* `urn:ietf:params:scim:schemas:extension:skovik:2.0:User:custom_field2`
* `urn:ietf:params:scim:schemas:extension:skovik:2.0:User:custom_field3`
* ... up to nine fields …

And map your organization's attributes to these as needed, for example:

* Employee ID → `custom_field1`
* Country → `custom_field2`
* Department → `custom_field3`
  {% endstep %}

{% step %}

### Finish setup and start provisioning

* Save your changes.
* Add users to the application under `Users and groups`.
* Go to the application's provisioning page and click `Start provisioning`.
* You can monitor the provisioning log for status and details.
  {% endstep %}
  {% endstepper %}

## Example mapping

Here is an example of what the final mapping might look like.

<table data-header-hidden><thead><tr><th width="225">SCIM Attribute</th><th width="170">Source attribute</th><th width="112">Mapping type</th><th width="207">Notes</th></tr></thead><tbody><tr><td><code>userName</code></td><td><code>userPrincipalName</code></td><td>Direct</td><td>Employee's email address</td></tr><tr><td><code>name.givenName</code></td><td><code>givenName</code></td><td>Direct</td><td>First name</td></tr><tr><td><code>name.familyName</code></td><td><code>surname</code></td><td>Direct</td><td>Last name</td></tr><tr><td><code>active</code></td><td><code>active</code></td><td>Expression</td><td>Use <code>Not([IsSoftDeleted])</code></td></tr><tr><td><code>urn:ietf:params:scim:schemas:extension:enterprise:2.0:User:manager</code></td><td><code>manager</code></td><td>Direct</td><td></td></tr><tr><td><code>urn:ietf:params:scim:schemas:extension:enterprise:2.0:User:division</code></td><td>(branch identifier)</td><td>Direct / Expression</td><td>Must match <code>external_identifier</code> on the branch in Skovik.</td></tr><tr><td><code>urn:ietf:params:scim:schemas:extension:skovik:2.0:User:custom_field</code></td><td><code>employeeId</code></td><td>Direct</td><td></td></tr></tbody></table>

For more on expressions, see [Microsoft's documentation](https://learn.microsoft.com/en-gb/entra/identity/app-provisioning/functions-for-customizing-application-data).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.skovik.com/for-it-and-developers/scim-user-sync/scim-in-microsoft-entra.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
